# MemoriList

## GET /api/v2/Memori/{strToken}

> Gets a list of Memori objects owned by the currently logged in User.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Memori/{strToken}":{"get":{"tags":["MemoriList"],"summary":"Gets a list of Memori objects owned by the currently logged in User.","operationId":"MemoriList-ListMemori","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMemoriResponse"}}}}}}}},"components":{"schemas":{"ListMemoriResponse":{"type":"object","properties":{"memori":{"type":"array","items":{"$ref":"#/components/schemas/MemoriSpecs"},"description":"The list of Memori objects.","nullable":true},"totalCount":{"type":"integer","description":"The total count of Memori objects (after filters, before pagination).","format":"int32"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Memori request."},"MemoriSpecs":{"type":"object","properties":{"memoriID":{"type":"string","description":"Memori ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nUsed in Update, Transfer and Delete operations.\r\nIgnored in other cases.","nullable":true},"name":{"type":"string","description":"Memori name. Required during Registration operations.\r\nUsed during Update operations. Returned during Get operations.","nullable":true},"password":{"type":"string","description":"Password. Required during Registration operations. May be required during Update operations. Ignored in other cases. <br> Must be provided in the following cases:<ul> <li>When PrivacyType is <code>SECRET</code>: during Registration and Update operations, and it can be any non-empty string</li> <li>When PrivacyType is <code>PRIVATE</code>: only during Update operations, and it must be set with the SecretToken provided during registration</li> </ul>","nullable":true},"recoveryTokens":{"type":"array","items":{"type":"string"},"description":"Recovery tokens. Returned during Registration operations if the\r\nMemori Privacy Type is set to ```SECRET``` and a\r\nTotalNumberOfRecoveryTokens is greater than 0.\r\nIgnored in other cases.","nullable":true},"newPassword":{"type":"string","description":"New password. Used during Update operations. Ignored in other cases. <br> Can be provided in the following case:<ul> <li>When PrivacyType is <code>SECRET</code>: during Update operations, and it can be any non-empty string</li> </ul>","nullable":true},"ownerUserID":{"type":"string","description":"ID of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerUserName":{"type":"string","description":"Name of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerTenantName":{"type":"string","description":"Name of the Tenant of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"memoriConfigurationID":{"type":"string","description":"Memori configuration ID. Required during Registration.\r\nReturned during Get operations.","nullable":true},"description":{"type":"string","description":"Memori description. Required during Registration and Update\r\noperations. Returned during Get operations.","nullable":true},"completionDescription":{"type":"string","description":"Memori description for completions. If specified, it is used in\r\nplace of ```Description``` when obtaining a completion\r\nvia a generative AI.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"dtDescription":{"type":"string","description":"Memori description for Deep Thought. If specified, it is used in\r\nplace of ```CompletionDescription``` or ```Description```\r\nwhen performing Deep Thought operations.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the corresponding object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isOwner":{"type":"boolean","description":"True if the requesting User is the owner of this Memori, and as\r\nsuch has admin (update and delete) access to this Memori.\r\nReturned during Get operations. Ignored in other cases."},"isGiver":{"type":"boolean","description":"True if the requesting User has Giver (full read and write) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"isReceiver":{"type":"boolean","description":"True if the requesting User has Receiver (special read only) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"giverTag":{"type":"string","description":"The tag of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"giverPIN":{"type":"string","description":"The PIN of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"privacyType":{"type":"string","description":"Type of privacy setting for this Memori (private, public or secret). Required during Registration operations. Used during Update operations. Returned during Get operations. <br> May be one of the following:<ul> <li><code>PUBLIC</code>: this Memori is not encrypted, has no password and is accessible to everyone</li> <li><code>PRIVATE</code>: this Memori is not encrypted, has a system-generated Secret Token as password and can be accessed only by providing it</li> <li><code>SECRET</code>: this Memori is encrypted, has a user-defined password and can be accessed only by providing it</li> </ul>","nullable":true},"secretToken":{"type":"string","description":"Secret Token. Assigned by the system. Must be used as Password when the PrivacyType is <code>PRIVATE</code>. Returned during Open Session and Get operations. May be required during Update operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner, a legitimate Giver or Receiver, or an Admin/SuperAdmin) and its Privacy Type is set to <code>PRIVATE</code>.","nullable":true},"minimumNumberOfRecoveryTokens":{"type":"integer","description":"Minium number of recovery tokens. Recovery tokens allow to access a secret Memori when its original password has been lost. May be provided during Registration operations. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User and its Privacy Type is set to <code>SECRET</code>.","format":"int32","nullable":true},"totalNumberOfRecoveryTokens":{"type":"integer","description":"Total number of recovery tokens. Recovery tokens allow to access\r\na secret Memori when its original password has been lost. If set,\r\na set of recovery tokens will be generated and returned after\r\nRegistration completes.","format":"int32","nullable":true},"sentInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects sent for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"receivedInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects received for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner or a legitimate Giver or Receiver).","nullable":true},"integrations":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationSpecs"},"description":"List of Integration objects associated with this Memori.\r\nRetured during Get operations. Ignored in other cases.","nullable":true},"avatarURL":{"type":"string","description":"URL of the avatar image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"coverURL":{"type":"string","description":"URL of the cover image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"avatar3DURL":{"type":"string","description":"URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"avatarOriginal3DURL":{"type":"string","description":"Original URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"needsPosition":{"type":"boolean","description":"True if this Memori requires positioning to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"needsDateTime":{"type":"boolean","description":"True if this Memori requires current date/time to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"voiceType":{"type":"string","description":"Type of voice for this Memori (male or female). May be provided during Registration and Update operations. Returned during Get operations. <br> Can be one of the following:<ul> <li><code>MALE</code>: standard male voice</li> <li><code>FEMALE</code>: standard female voice</li> </ul>","nullable":true},"culture":{"type":"string","description":"Culture for dialogs and natural language processing of this Memori. Returned during Get operations. Ignored in other cases. <br> Currently supported cultures are:<ul> <li><code>it-IT</code></li> <li><code>en-US</code></li> </ul>","nullable":true},"categories":{"type":"array","items":{"type":"string"},"description":"Categories (or tags) associated with this Memori.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"nsfw":{"type":"boolean","description":"True if this Memori content must be considered\r\nnot safe for minors of working environments.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"requireLoginToken":{"type":"boolean","description":"When True, a Giver Tag/Pin or a valid login token is needed to open a session","nullable":true},"ageRestriction":{"type":"integer","description":"The minimum age required to open a session to this Memori.\r\nReturned during Get operations.\r\nIgnored in other cases.","format":"int32"},"exposed":{"type":"boolean","description":"True if this Memori must be exposed on the homepage\r\nof its corresponding owner User's tenant.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"mobile":{"type":"boolean","description":"True if this Memori must be accessible from the mobile app.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"confidenceOffset":{"type":"number","description":"The offset to be applied to confidence levels.\r\nTypically, in the range from -0.02 to 0.02.","format":"float","nullable":true},"disableR2R3Loop":{"type":"boolean","description":"True if this Memori must skip the R2-R3 loop, \r\ni.e. must consider medium confidence answers as high confidence\r\nanswers in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR4Loop":{"type":"boolean","description":"True if this Memori must skip the R4 loop,\r\ni.e. must not propose randomly picked contents when a Time Out\r\nevent is received in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR5Loop":{"type":"boolean","description":"True if this Memori must skip the R5 loop,\r\ni.e. must not accept the \"not what I asked\" intent in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"enableCompletions":{"type":"boolean","description":"True if this Memori must try to answer using completions from a\r\nLarge Language Model, if available, when no other answers are\r\navailable.","nullable":true},"enableDeepThought":{"type":"boolean","description":"If set to ```True``` this Memori will collect known facts about the user\r\non a special long term memory and makes use of it to improve the conversation.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.","nullable":true},"alwaysAnswerWithCompletion":{"type":"boolean","description":"If set to ```True``` this Memori will always try to answer with a completion.\r\nMemory objects will be used for generative AI prompting, but not for direct answers.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.\r\nCan't be used in conjunction with the ```Chaining``` feature.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableCompletionMediaExtraction":{"type":"boolean","description":"If set to ```True``` this Memori will not try to extract related media\r\nwhen generating a response through a completion with generative AI.\r\nThis flag has no effect to user-generated content: attached media will always be provided.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableAIContentCollection":{"type":"boolean","description":"If set to ```True``` this Memori does not collect AI-generated content\r\n(CompletionDraft memories) and unanswered questions.","nullable":true},"completionConfigNameForQuestionAnswering":{"type":"string","description":"Name of the Completion Configuration used for Question Answering\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForQuestionAnswering":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForImportExport":{"type":"string","description":"Name of the Completion Configuration used for Import/Export\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForImportExport":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForDeepThought":{"type":"string","description":"Name of the Completion Configuration used for Deep Thought.\r\nIf null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForDeepThought":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionTemperature":{"type":"number","description":"Temperature for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"float","nullable":true},"completionMaxTokens":{"type":"integer","description":"Maximum number of output tokens for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"int32","nullable":true},"chainingMemoriID":{"type":"string","description":"Optional Engine ID of a chained Memori. If set, any time this Memori\r\ncan't find an answer to a question, it will try to ask to the chained Memori.\r\nThe chained Memori will then answer and transparently handle the subsequent dialog.\r\nThe user will not be aware of chaining.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set chaining.","nullable":true},"chainingBaseURL":{"type":"string","description":"Optional base URL of a chained Memori, typically ```https://engine.memori.ai/```.\r\nRequired if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"chainingPassword":{"type":"string","description":"Password of the chained Memori. Required if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"enableBoardOfExperts":{"type":"boolean","description":"If set to ```True``` this Memori will act as the chairman of\r\na board of experts, i.e. for each question will determine which expert\r\nis competent and forward the question to it.\r\nAt least an Expert Reference must then be provided for this feature to activate.","nullable":true},"enableMacroFunctions":{"type":"array","items":{"type":"string"},"description":"List of Macro Function names enabled for this Memori. <br> Currently available Macro Functions are:<ul> <li><code>Wikipedia</code>: adds functions to search for a topic on Wikipedia</li> <li><code>URLCrawling</code>: adds functions to crawl a web page</li> <li><code>ContextVariables</code>: adds functions to manage context variables</li> </ul>","nullable":true},"macroParameters":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Key-value pairs with values for macro-parameters of enabled Macro Functions.","nullable":true},"dcmUser":{"type":"string","description":"User name of the optional integration with the DCM platform.\r\nIf set, this Memori will be able send outcomes to the DCM platform\r\nwhen specific contents are emitted during the conversation.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set integration.","nullable":true},"dcmSecret":{"type":"string","description":"Shared secret of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"dcmAppContext":{"type":"string","description":"Application context of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"blockedUntil":{"type":"string","description":"Administrative block end date. Null if no administrative block is\r\nin effect. During an administrative block a Memori can be edited\r\nwith a Giver session, but not accessed with an anonymous or\r\nReceiver session.","format":"date-time","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Memori object."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."},"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."},"CompletionConfigSpecs":{"type":"object","properties":{"completionConfigID":{"type":"string","description":"Completion Config object ID.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"configName":{"type":"string","description":"Completion Config unique name.\r\nRequired during Creation operations.\r\nUsed during Update operations.\r\nReturned during Get operations.","nullable":true},"description":{"type":"string","description":"Optional Completion Config description.\r\nUsed during Creation operations and Update.\r\nReturned during Get operations.","nullable":true},"provider":{"type":"string","description":"Name of the Completion Provider. Required during Creation operations. Used during Update operations. Returned during Get operations. <br> Currently possible values are:<ul> <li><code>OpenAI</code></li> <li><code>Anthropic</code></li> <li><code>Mistral</code></li> <li><code>Azure_OpenAI</code></li> <li><code>Custom_OpenAI</code></li> </ul>","nullable":true},"endPoint":{"type":"string","description":"URL of the Completion Provider API end-point.\r\nUsed during Creation operations and Update.\r\nReturned during Get operations.","nullable":true},"apiKey":{"type":"string","description":"API key of the Completion Provider API end-point.\r\nRequired during Creation operations (optional for Custom_OpenAI provider).\r\nUsed during Update operations.\r\nReturned during Get operations as an obfuscated value.","nullable":true},"model":{"type":"string","description":"Name of the Completion Model. This is provider-specific,\r\nand for some providers (e.g. Azure) it is also part of\r\nthe end-point URL.\r\nRequired during Creation operations.\r\nUsed during Update operations.\r\nReturned during Get operations.","nullable":true},"questionAnsweringEnabled":{"type":"boolean","description":"If True this configuration can be used for Question & Answer operations.\r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"importExportEnabled":{"type":"boolean","description":"If True this configuration can be used for Import/Export operations. \r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"If True this configuration can be used for Deep Thought operations. \r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"ownerUserID":{"type":"string","description":"ID of the User this Config belongs to.\r\nReturned during Get operations if the user is the owner or an administrator.\r\nIgnored in other cases.","nullable":true},"ownerUserName":{"type":"string","description":"Name of the User this Config belongs to.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"ownerTenantName":{"type":"string","description":"Name of the Tenant of the User this Config belongs to.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"visibleToTenantUsers":{"type":"boolean","description":"If True this configuration can be used by other users of the owner's Tenant.\r\nIf not specified False is assumed.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"visibleToOtherUsers":{"type":"boolean","description":"If True this configuration can be used by users of other Tenants.\r\nIf not specified False is assumed.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"useAsDefault":{"type":"boolean","description":"If True this configuration is used as the default (for the operations it is enabled for)\r\nwhen a new Memori is created. The use as default requires that the configuration is visible\r\nat least to the owner's Tenant users.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"chargeable":{"type":"boolean","description":"If True the use of this configuration is chargeable to the customer.","nullable":true},"applyTo":{"type":"string","description":"During Creation and Update operations, when set forces this configuration to be applied to the specified Memori objects and purposes. Ignored during Get operations. <br> Can be one of the following:<ul> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_QA_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Question &amp; Answer purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_IE_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Import/Export purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_DT_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Deep Thought purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ALL_ENABLED_PURPOSES</code>: the configuration is applied to user's Memori objects with the default configuration, for all enabled purposes.</li> <li><code>ALL_USER_MEMORI_ONLY_QA_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Question &amp; Answer purpose only.</li> <li><code>ALL_USER_MEMORI_ONLY_IE_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Import/Export purpose only.</li> <li><code>ALL_USER_MEMORI_ONLY_DT_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Deep Thought purpose only.</li> <li><code>ALL_USER_MEMORI_ALL_ENABLED_PURPOSES</code>: the configuration is applied to all user's Memori objects, for all enabled purposes.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_QA_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Question &amp; Answer purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_IE_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Import/Export purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_DT_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Deep Thought purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ALL_ENABLED_PURPOSES</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for all enabled purposes.</li> <li><code>ALL_TENANT_MEMORI_ONLY_QA_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Question &amp; Answer purpose only.</li> <li><code>ALL_TENANT_MEMORI_ONLY_IE_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Import/Export purpose only.</li> <li><code>ALL_TENANT_MEMORI_ONLY_DT_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Deep Thought purpose only.</li> <li><code>ALL_TENANT_MEMORI_ALL_ENABLED_PURPOSES</code>: the configuration is applied to all the Tenant's Memori objects, for all enabled purposes.</li> </ul>","nullable":true}},"additionalProperties":false,"description":"Specifications of a Completion Config object."}}}}
````

## GET /api/v2/MemoriConfigs/{strToken}

> Gets a list of all the Memori Configuration objects.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/MemoriConfigs/{strToken}":{"get":{"tags":["MemoriList"],"summary":"Gets a list of all the Memori Configuration objects.","operationId":"MemoriList-ListMemoriConfigs","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMemoriConfigsResponse"}}}}}}}},"components":{"schemas":{"ListMemoriConfigsResponse":{"type":"object","properties":{"memoriConfigs":{"type":"array","items":{"$ref":"#/components/schemas/MemoriConfigSpecs"},"description":"The list of Memori Configuration objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Memori Configurations request."},"MemoriConfigSpecs":{"type":"object","properties":{"memoriConfigID":{"type":"string","description":"Memori Configuration ID.","nullable":true},"useCase":{"type":"string","description":"Typical use case for this configuration (business, personal etc.). <br> May be one of the following:<ul> <li><code>BUSINESS</code></li> <li><code>PERSONAL</code></li> </ul>","nullable":true},"culture":{"type":"string","description":"Culture for dialogs and natural language processing of this configuration. <br> Currently supported cultures are:<ul> <li><code>it-IT</code></li> <li><code>en-US</code></li> </ul>","nullable":true},"descriptions":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Descriptions of this configuration, by culture (italian, english etc.). <br> Currently supported cultures are:<ul> <li><code>it-IT</code></li> <li><code>en-US</code></li> </ul>","nullable":true},"logoURL":{"type":"string","description":"URL of the logo representing this configuration.","nullable":true}},"additionalProperties":false,"description":"Specifications of a Memori Configuration object."}}}}
````

## GET /api/v2/TenantMemoriCategories/{tenantName}

> Gets a list of all the known Memori categories (or tags).

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TenantMemoriCategories/{tenantName}":{"get":{"tags":["MemoriList"],"summary":"Gets a list of all the known Memori categories (or tags).","operationId":"MemoriList-ListTenantMemoriCategories","parameters":[{"name":"tenantName","in":"path","description":"The name of Tenant","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMemoriCategoriesResponse"}}}}}}}},"components":{"schemas":{"ListMemoriCategoriesResponse":{"type":"object","properties":{"memoriCategories":{"type":"array","items":{"type":"string"},"description":"The list of known Memori categories (or tags).","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Memori Categories request."}}}}
````

## GET /api/v2/TenantPublicMemori/{tenantName}

> Gets a list of all the public Memori objects for a specific Tenant.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TenantPublicMemori/{tenantName}":{"get":{"tags":["MemoriList"],"summary":"Gets a list of all the public Memori objects for a specific Tenant.","operationId":"MemoriList-ListTenantPublicMemori","parameters":[{"name":"tenantName","in":"path","description":"The name of Tenant","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMemoriResponse"}}}}}}}},"components":{"schemas":{"ListMemoriResponse":{"type":"object","properties":{"memori":{"type":"array","items":{"$ref":"#/components/schemas/MemoriSpecs"},"description":"The list of Memori objects.","nullable":true},"totalCount":{"type":"integer","description":"The total count of Memori objects (after filters, before pagination).","format":"int32"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Memori request."},"MemoriSpecs":{"type":"object","properties":{"memoriID":{"type":"string","description":"Memori ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nUsed in Update, Transfer and Delete operations.\r\nIgnored in other cases.","nullable":true},"name":{"type":"string","description":"Memori name. Required during Registration operations.\r\nUsed during Update operations. Returned during Get operations.","nullable":true},"password":{"type":"string","description":"Password. Required during Registration operations. May be required during Update operations. Ignored in other cases. <br> Must be provided in the following cases:<ul> <li>When PrivacyType is <code>SECRET</code>: during Registration and Update operations, and it can be any non-empty string</li> <li>When PrivacyType is <code>PRIVATE</code>: only during Update operations, and it must be set with the SecretToken provided during registration</li> </ul>","nullable":true},"recoveryTokens":{"type":"array","items":{"type":"string"},"description":"Recovery tokens. Returned during Registration operations if the\r\nMemori Privacy Type is set to ```SECRET``` and a\r\nTotalNumberOfRecoveryTokens is greater than 0.\r\nIgnored in other cases.","nullable":true},"newPassword":{"type":"string","description":"New password. Used during Update operations. Ignored in other cases. <br> Can be provided in the following case:<ul> <li>When PrivacyType is <code>SECRET</code>: during Update operations, and it can be any non-empty string</li> </ul>","nullable":true},"ownerUserID":{"type":"string","description":"ID of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerUserName":{"type":"string","description":"Name of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerTenantName":{"type":"string","description":"Name of the Tenant of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"memoriConfigurationID":{"type":"string","description":"Memori configuration ID. Required during Registration.\r\nReturned during Get operations.","nullable":true},"description":{"type":"string","description":"Memori description. Required during Registration and Update\r\noperations. Returned during Get operations.","nullable":true},"completionDescription":{"type":"string","description":"Memori description for completions. If specified, it is used in\r\nplace of ```Description``` when obtaining a completion\r\nvia a generative AI.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"dtDescription":{"type":"string","description":"Memori description for Deep Thought. If specified, it is used in\r\nplace of ```CompletionDescription``` or ```Description```\r\nwhen performing Deep Thought operations.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the corresponding object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isOwner":{"type":"boolean","description":"True if the requesting User is the owner of this Memori, and as\r\nsuch has admin (update and delete) access to this Memori.\r\nReturned during Get operations. Ignored in other cases."},"isGiver":{"type":"boolean","description":"True if the requesting User has Giver (full read and write) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"isReceiver":{"type":"boolean","description":"True if the requesting User has Receiver (special read only) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"giverTag":{"type":"string","description":"The tag of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"giverPIN":{"type":"string","description":"The PIN of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"privacyType":{"type":"string","description":"Type of privacy setting for this Memori (private, public or secret). Required during Registration operations. Used during Update operations. Returned during Get operations. <br> May be one of the following:<ul> <li><code>PUBLIC</code>: this Memori is not encrypted, has no password and is accessible to everyone</li> <li><code>PRIVATE</code>: this Memori is not encrypted, has a system-generated Secret Token as password and can be accessed only by providing it</li> <li><code>SECRET</code>: this Memori is encrypted, has a user-defined password and can be accessed only by providing it</li> </ul>","nullable":true},"secretToken":{"type":"string","description":"Secret Token. Assigned by the system. Must be used as Password when the PrivacyType is <code>PRIVATE</code>. Returned during Open Session and Get operations. May be required during Update operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner, a legitimate Giver or Receiver, or an Admin/SuperAdmin) and its Privacy Type is set to <code>PRIVATE</code>.","nullable":true},"minimumNumberOfRecoveryTokens":{"type":"integer","description":"Minium number of recovery tokens. Recovery tokens allow to access a secret Memori when its original password has been lost. May be provided during Registration operations. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User and its Privacy Type is set to <code>SECRET</code>.","format":"int32","nullable":true},"totalNumberOfRecoveryTokens":{"type":"integer","description":"Total number of recovery tokens. Recovery tokens allow to access\r\na secret Memori when its original password has been lost. If set,\r\na set of recovery tokens will be generated and returned after\r\nRegistration completes.","format":"int32","nullable":true},"sentInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects sent for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"receivedInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects received for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner or a legitimate Giver or Receiver).","nullable":true},"integrations":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationSpecs"},"description":"List of Integration objects associated with this Memori.\r\nRetured during Get operations. Ignored in other cases.","nullable":true},"avatarURL":{"type":"string","description":"URL of the avatar image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"coverURL":{"type":"string","description":"URL of the cover image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"avatar3DURL":{"type":"string","description":"URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"avatarOriginal3DURL":{"type":"string","description":"Original URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"needsPosition":{"type":"boolean","description":"True if this Memori requires positioning to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"needsDateTime":{"type":"boolean","description":"True if this Memori requires current date/time to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"voiceType":{"type":"string","description":"Type of voice for this Memori (male or female). May be provided during Registration and Update operations. Returned during Get operations. <br> Can be one of the following:<ul> <li><code>MALE</code>: standard male voice</li> <li><code>FEMALE</code>: standard female voice</li> </ul>","nullable":true},"culture":{"type":"string","description":"Culture for dialogs and natural language processing of this Memori. Returned during Get operations. Ignored in other cases. <br> Currently supported cultures are:<ul> <li><code>it-IT</code></li> <li><code>en-US</code></li> </ul>","nullable":true},"categories":{"type":"array","items":{"type":"string"},"description":"Categories (or tags) associated with this Memori.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"nsfw":{"type":"boolean","description":"True if this Memori content must be considered\r\nnot safe for minors of working environments.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"requireLoginToken":{"type":"boolean","description":"When True, a Giver Tag/Pin or a valid login token is needed to open a session","nullable":true},"ageRestriction":{"type":"integer","description":"The minimum age required to open a session to this Memori.\r\nReturned during Get operations.\r\nIgnored in other cases.","format":"int32"},"exposed":{"type":"boolean","description":"True if this Memori must be exposed on the homepage\r\nof its corresponding owner User's tenant.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"mobile":{"type":"boolean","description":"True if this Memori must be accessible from the mobile app.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"confidenceOffset":{"type":"number","description":"The offset to be applied to confidence levels.\r\nTypically, in the range from -0.02 to 0.02.","format":"float","nullable":true},"disableR2R3Loop":{"type":"boolean","description":"True if this Memori must skip the R2-R3 loop, \r\ni.e. must consider medium confidence answers as high confidence\r\nanswers in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR4Loop":{"type":"boolean","description":"True if this Memori must skip the R4 loop,\r\ni.e. must not propose randomly picked contents when a Time Out\r\nevent is received in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR5Loop":{"type":"boolean","description":"True if this Memori must skip the R5 loop,\r\ni.e. must not accept the \"not what I asked\" intent in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"enableCompletions":{"type":"boolean","description":"True if this Memori must try to answer using completions from a\r\nLarge Language Model, if available, when no other answers are\r\navailable.","nullable":true},"enableDeepThought":{"type":"boolean","description":"If set to ```True``` this Memori will collect known facts about the user\r\non a special long term memory and makes use of it to improve the conversation.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.","nullable":true},"alwaysAnswerWithCompletion":{"type":"boolean","description":"If set to ```True``` this Memori will always try to answer with a completion.\r\nMemory objects will be used for generative AI prompting, but not for direct answers.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.\r\nCan't be used in conjunction with the ```Chaining``` feature.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableCompletionMediaExtraction":{"type":"boolean","description":"If set to ```True``` this Memori will not try to extract related media\r\nwhen generating a response through a completion with generative AI.\r\nThis flag has no effect to user-generated content: attached media will always be provided.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableAIContentCollection":{"type":"boolean","description":"If set to ```True``` this Memori does not collect AI-generated content\r\n(CompletionDraft memories) and unanswered questions.","nullable":true},"completionConfigNameForQuestionAnswering":{"type":"string","description":"Name of the Completion Configuration used for Question Answering\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForQuestionAnswering":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForImportExport":{"type":"string","description":"Name of the Completion Configuration used for Import/Export\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForImportExport":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForDeepThought":{"type":"string","description":"Name of the Completion Configuration used for Deep Thought.\r\nIf null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForDeepThought":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionTemperature":{"type":"number","description":"Temperature for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"float","nullable":true},"completionMaxTokens":{"type":"integer","description":"Maximum number of output tokens for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"int32","nullable":true},"chainingMemoriID":{"type":"string","description":"Optional Engine ID of a chained Memori. If set, any time this Memori\r\ncan't find an answer to a question, it will try to ask to the chained Memori.\r\nThe chained Memori will then answer and transparently handle the subsequent dialog.\r\nThe user will not be aware of chaining.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set chaining.","nullable":true},"chainingBaseURL":{"type":"string","description":"Optional base URL of a chained Memori, typically ```https://engine.memori.ai/```.\r\nRequired if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"chainingPassword":{"type":"string","description":"Password of the chained Memori. Required if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"enableBoardOfExperts":{"type":"boolean","description":"If set to ```True``` this Memori will act as the chairman of\r\na board of experts, i.e. for each question will determine which expert\r\nis competent and forward the question to it.\r\nAt least an Expert Reference must then be provided for this feature to activate.","nullable":true},"enableMacroFunctions":{"type":"array","items":{"type":"string"},"description":"List of Macro Function names enabled for this Memori. <br> Currently available Macro Functions are:<ul> <li><code>Wikipedia</code>: adds functions to search for a topic on Wikipedia</li> <li><code>URLCrawling</code>: adds functions to crawl a web page</li> <li><code>ContextVariables</code>: adds functions to manage context variables</li> </ul>","nullable":true},"macroParameters":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Key-value pairs with values for macro-parameters of enabled Macro Functions.","nullable":true},"dcmUser":{"type":"string","description":"User name of the optional integration with the DCM platform.\r\nIf set, this Memori will be able send outcomes to the DCM platform\r\nwhen specific contents are emitted during the conversation.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set integration.","nullable":true},"dcmSecret":{"type":"string","description":"Shared secret of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"dcmAppContext":{"type":"string","description":"Application context of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"blockedUntil":{"type":"string","description":"Administrative block end date. Null if no administrative block is\r\nin effect. During an administrative block a Memori can be edited\r\nwith a Giver session, but not accessed with an anonymous or\r\nReceiver session.","format":"date-time","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Memori object."},"InvitationSpecs":{"type":"object","properties":{"invitationID":{"type":"string","description":"ID of this Invitation object. Unique and assigned by the system.\r\nReturned during Send and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Invitation refers to.\r\nRequired during Send operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the Memori object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isInviter":{"type":"boolean","description":"True if the requesting User sent this Invitation, and as\r\nsuch has admin (update and delete) access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"isInvitee":{"type":"boolean","description":"True if the requesting User received this Invitation, and as\r\nsuch has accept/reject access to this Invitation.\r\nReturned during Get operations. Ignored in other cases."},"text":{"type":"string","description":"Text of this Invitation. Optional during Send operations.\r\nUsed in Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationName":{"type":"string","description":"Name of the person to whom this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"destinationEMail":{"type":"string","description":"E-mail address to which this Invitation is addressed.\r\nRequired during Send operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"dontSendInvitationEmail":{"type":"boolean","description":"Flag to avoid sending the Invitation e-mail.\r\nOptional during Send operations.\r\nIgnored in other cases.","nullable":true},"tag":{"type":"string","description":"Tag associated with this Invitation. Typically an emoji symbol.\r\nRequired during Send operations. Returned during Get operations,\r\nbut visible to invitee only if the invitation has been accepted.\r\nIgnored in other cases.","nullable":true},"pin":{"type":"string","description":"PIN, or personal identification number, associated with this Invitation. Required during Send operations. Returned during Get operations, but visible to invitee only if the invitation has been accepted. Ignored in other cases. <br> Format is six digits integer number, eg. <code>012345</code>.","nullable":true},"type":{"type":"string","description":"Type of this Invitation (giver, receiver etc.). Required during Send operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GIVER</code>: the Giver is the unique owner, administrator and content manager of a Memori</li> <li><code>RECEIVER</code>: a Receiver is a named User that can access all the public content of a Memori, plus some specific content targeted specifically at them</li> </ul>","nullable":true},"state":{"type":"string","description":"State of this Invitation (pending, accepted, rejected etc.). Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>PENDING</code>: the Invitation has just been sent and no action has been perfomed yet</li> <li><code>ACCEPTED</code>: the destination of this Invitation has accepted it</li> <li><code>REJECTED</code>: the destination of this Invitation has rejected it</li> </ul>","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Invitation object."},"IntegrationSpecs":{"type":"object","properties":{"integrationID":{"type":"string","description":"Integration ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"memoriID":{"type":"string","description":"ID of the Memori object this Integration refers to.\r\nRequired during Registration operations. Returned during\r\nGet operations. Ignored in other cases.","nullable":true},"type":{"type":"string","description":"Type of this integration (Google, Alexa, landing home page, etc.). Required during Registration operations. Returned during Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>GOOGLE</code>: a Google Home integration</li> <li><code>ALEXA</code>: an Amazon Alexa integration</li> <li><code>LANDING_EXPERIENCE</code>: a public Memori home page and landing experience</li> </ul>","nullable":true},"state":{"type":"string","description":"Current state of deployment this integration. Returned during Registration and Get operations. Ignored in other cases. <br> May be one of the following:<ul> <li><code>NEW</code></li> <li><code>PROCESSING</code></li> <li><code>DONE</code></li> <li><code>REMOVED</code></li> <li><code>ERROR</code></li> <li><code>WAITING_MANUAL_ACTION</code></li> <li><code>DRAFT</code></li> <li><code>NOT_VALIDATED</code></li> <li><code>PUBLISHED</code></li> </ul>","nullable":true},"deviceEmails":{"type":"array","items":{"type":"string"},"description":"List of e-mails associated with on-device accounts.\r\nUsed during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"invocationText":{"type":"string","description":"Text to be spoken to invoke the integration.\r\nMay be used during Registration and Update operations for\r\nintegration types ```GOOGLE``` and ```ALEXA```.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"jobID":{"type":"string","description":"ID of the deployment job of this integration.\r\nReturned during Registration and Get operations.\r\nIgnored in other cases.","nullable":true},"customData":{"type":"string","description":"JSON structure containing the data specific for this type of\r\nintegration. May be used during Registration and Update operations,\r\ndepending on the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"resources":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationResourceSpecs"},"description":"Additional resources need by, or returned by, the deployment job.\r\nMay be used during Registration and Update operations, depending\r\non the integration type.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"publish":{"type":"boolean","description":"If set to True, the integration will be published on the\r\ncorresponding environment (e.g. on Amazon Alexa or Google Home)\r\nto the general public. If False the integration will remain\r\navailable only for testing.\r\nUsed during Update operations. Returned during Get operations.\r\nIgnored in other cases.","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration object."},"IntegrationResourceSpecs":{"type":"object","properties":{"name":{"type":"string","description":"Resource name.","nullable":true},"url":{"type":"string","description":"Resource URL.","nullable":true}},"additionalProperties":false,"description":"Specifications of an Integration Resource object."},"CompletionConfigSpecs":{"type":"object","properties":{"completionConfigID":{"type":"string","description":"Completion Config object ID.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"configName":{"type":"string","description":"Completion Config unique name.\r\nRequired during Creation operations.\r\nUsed during Update operations.\r\nReturned during Get operations.","nullable":true},"description":{"type":"string","description":"Optional Completion Config description.\r\nUsed during Creation operations and Update.\r\nReturned during Get operations.","nullable":true},"provider":{"type":"string","description":"Name of the Completion Provider. Required during Creation operations. Used during Update operations. Returned during Get operations. <br> Currently possible values are:<ul> <li><code>OpenAI</code></li> <li><code>Anthropic</code></li> <li><code>Mistral</code></li> <li><code>Azure_OpenAI</code></li> <li><code>Custom_OpenAI</code></li> </ul>","nullable":true},"endPoint":{"type":"string","description":"URL of the Completion Provider API end-point.\r\nUsed during Creation operations and Update.\r\nReturned during Get operations.","nullable":true},"apiKey":{"type":"string","description":"API key of the Completion Provider API end-point.\r\nRequired during Creation operations (optional for Custom_OpenAI provider).\r\nUsed during Update operations.\r\nReturned during Get operations as an obfuscated value.","nullable":true},"model":{"type":"string","description":"Name of the Completion Model. This is provider-specific,\r\nand for some providers (e.g. Azure) it is also part of\r\nthe end-point URL.\r\nRequired during Creation operations.\r\nUsed during Update operations.\r\nReturned during Get operations.","nullable":true},"questionAnsweringEnabled":{"type":"boolean","description":"If True this configuration can be used for Question & Answer operations.\r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"importExportEnabled":{"type":"boolean","description":"If True this configuration can be used for Import/Export operations. \r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"deepThoughtEnabled":{"type":"boolean","description":"If True this configuration can be used for Deep Thought operations. \r\nIf not specified False is assumed. At least one use must be enabled.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"ownerUserID":{"type":"string","description":"ID of the User this Config belongs to.\r\nReturned during Get operations if the user is the owner or an administrator.\r\nIgnored in other cases.","nullable":true},"ownerUserName":{"type":"string","description":"Name of the User this Config belongs to.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"ownerTenantName":{"type":"string","description":"Name of the Tenant of the User this Config belongs to.\r\nReturned during Get operations.\r\nIgnored in other cases.","nullable":true},"visibleToTenantUsers":{"type":"boolean","description":"If True this configuration can be used by other users of the owner's Tenant.\r\nIf not specified False is assumed.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"visibleToOtherUsers":{"type":"boolean","description":"If True this configuration can be used by users of other Tenants.\r\nIf not specified False is assumed.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"useAsDefault":{"type":"boolean","description":"If True this configuration is used as the default (for the operations it is enabled for)\r\nwhen a new Memori is created. The use as default requires that the configuration is visible\r\nat least to the owner's Tenant users.\r\nUsed during Creation operations and Update operations.\r\nReturned during Get operations.","nullable":true},"chargeable":{"type":"boolean","description":"If True the use of this configuration is chargeable to the customer.","nullable":true},"applyTo":{"type":"string","description":"During Creation and Update operations, when set forces this configuration to be applied to the specified Memori objects and purposes. Ignored during Get operations. <br> Can be one of the following:<ul> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_QA_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Question &amp; Answer purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_IE_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Import/Export purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ONLY_DT_PURPOSE</code>: the configuration is applied to user's Memori objects with the default configuration, for Deep Thought purpose only.</li> <li><code>ONLY_USER_MEMORI_ON_DEFAULT_ALL_ENABLED_PURPOSES</code>: the configuration is applied to user's Memori objects with the default configuration, for all enabled purposes.</li> <li><code>ALL_USER_MEMORI_ONLY_QA_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Question &amp; Answer purpose only.</li> <li><code>ALL_USER_MEMORI_ONLY_IE_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Import/Export purpose only.</li> <li><code>ALL_USER_MEMORI_ONLY_DT_PURPOSE</code>: the configuration is applied to all user's Memori objects, for Deep Thought purpose only.</li> <li><code>ALL_USER_MEMORI_ALL_ENABLED_PURPOSES</code>: the configuration is applied to all user's Memori objects, for all enabled purposes.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_QA_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Question &amp; Answer purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_IE_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Import/Export purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ONLY_DT_PURPOSE</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for Deep Thought purpose only.</li> <li><code>ONLY_TENANT_MEMORI_ON_DEFAULT_ALL_ENABLED_PURPOSES</code>: the configuration is applied to the Tenant's Memori objects with the default configuration, for all enabled purposes.</li> <li><code>ALL_TENANT_MEMORI_ONLY_QA_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Question &amp; Answer purpose only.</li> <li><code>ALL_TENANT_MEMORI_ONLY_IE_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Import/Export purpose only.</li> <li><code>ALL_TENANT_MEMORI_ONLY_DT_PURPOSE</code>: the configuration is applied to all the Tenant's Memori objects, for Deep Thought purpose only.</li> <li><code>ALL_TENANT_MEMORI_ALL_ENABLED_PURPOSES</code>: the configuration is applied to all the Tenant's Memori objects, for all enabled purposes.</li> </ul>","nullable":true}},"additionalProperties":false,"description":"Specifications of a Completion Config object."}}}}
````

## POST /api/v2/TenantPublicMemoriFiltered/{tenantName}

> Gets a list of all the public Memori objects for a specific Tenant filtered and paginated

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TenantPublicMemoriFiltered/{tenantName}":{"post":{"tags":["MemoriList"],"summary":"Gets a list of all the public Memori objects for a specific Tenant filtered and paginated","operationId":"MemoriList-ListTenantPublicMemoriFiltered","parameters":[{"name":"tenantName","in":"path","description":"The name of Tenant","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The filter criteria","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterMemoriesSpecs"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMemoriResponse"}}}}}}}},"components":{"schemas":{"FilterMemoriesSpecs":{"type":"object","properties":{"type":{"type":"string","description":"Agent Type: \"Agents\", \"Boe\"   \r\nFor different string value, or for null value, filter is not applied","nullable":true},"text":{"type":"string","description":"A search query to filter by agent by name and/or description","nullable":true},"categories":{"type":"array","items":{"type":"string"},"description":"A search query to filter by categories","nullable":true},"startFrom":{"type":"integer","description":"Optional initial result index, 0-based. If omitted defaults to 0.\r\nUsed for Search, Filter Memories and Memory Hints.\r\nIgnored for Random picking.","format":"int32"},"numberOfResults":{"type":"integer","description":"Optional number of results. If omitted defaults to max int value.","format":"int32"}},"additionalProperties":false},"ListMemoriResponse":{"type":"object","properties":{"memori":{"type":"array","items":{"$ref":"#/components/schemas/MemoriSpecs"},"description":"The list of Memori objects.","nullable":true},"totalCount":{"type":"integer","description":"The total count of Memori objects (after filters, before pagination).","format":"int32"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Memori request."},"MemoriSpecs":{"type":"object","properties":{"memoriID":{"type":"string","description":"Memori ID. Unique and assigned by the system.\r\nReturned during Registration and Get operations.\r\nUsed in Update, Transfer and Delete operations.\r\nIgnored in other cases.","nullable":true},"name":{"type":"string","description":"Memori name. Required during Registration operations.\r\nUsed during Update operations. Returned during Get operations.","nullable":true},"password":{"type":"string","description":"Password. Required during Registration operations. May be required during Update operations. Ignored in other cases. <br> Must be provided in the following cases:<ul> <li>When PrivacyType is <code>SECRET</code>: during Registration and Update operations, and it can be any non-empty string</li> <li>When PrivacyType is <code>PRIVATE</code>: only during Update operations, and it must be set with the SecretToken provided during registration</li> </ul>","nullable":true},"recoveryTokens":{"type":"array","items":{"type":"string"},"description":"Recovery tokens. Returned during Registration operations if the\r\nMemori Privacy Type is set to ```SECRET``` and a\r\nTotalNumberOfRecoveryTokens is greater than 0.\r\nIgnored in other cases.","nullable":true},"newPassword":{"type":"string","description":"New password. Used during Update operations. Ignored in other cases. <br> Can be provided in the following case:<ul> <li>When PrivacyType is <code>SECRET</code>: during Update operations, and it can be any non-empty string</li> </ul>","nullable":true},"ownerUserID":{"type":"string","description":"ID of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerUserName":{"type":"string","description":"Name of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"ownerTenantName":{"type":"string","description":"Name of the Tenant of the User this Memori belongs to.\r\nReturned during Registration and Get operations.\r\nUsed in Transfer operation.\r\nIgnored in other cases.","nullable":true},"memoriConfigurationID":{"type":"string","description":"Memori configuration ID. Required during Registration.\r\nReturned during Get operations.","nullable":true},"description":{"type":"string","description":"Memori description. Required during Registration and Update\r\noperations. Returned during Get operations.","nullable":true},"completionDescription":{"type":"string","description":"Memori description for completions. If specified, it is used in\r\nplace of ```Description``` when obtaining a completion\r\nvia a generative AI.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"dtDescription":{"type":"string","description":"Memori description for Deep Thought. If specified, it is used in\r\nplace of ```CompletionDescription``` or ```Description```\r\nwhen performing Deep Thought operations.\r\nMay be specified during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"engineMemoriID":{"type":"string","description":"ID of the corresponding object on the Memori Engine.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"isOwner":{"type":"boolean","description":"True if the requesting User is the owner of this Memori, and as\r\nsuch has admin (update and delete) access to this Memori.\r\nReturned during Get operations. Ignored in other cases."},"isGiver":{"type":"boolean","description":"True if the requesting User has Giver (full read and write) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"isReceiver":{"type":"boolean","description":"True if the requesting User has Receiver (special read only) access \r\nto this Memori. Returned during Get operations.\r\nIgnored in other cases."},"giverTag":{"type":"string","description":"The tag of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"giverPIN":{"type":"string","description":"The PIN of the Giver of this Memori. Returned during Registration and Get operations. Used Update operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"privacyType":{"type":"string","description":"Type of privacy setting for this Memori (private, public or secret). Required during Registration operations. Used during Update operations. Returned during Get operations. <br> May be one of the following:<ul> <li><code>PUBLIC</code>: this Memori is not encrypted, has no password and is accessible to everyone</li> <li><code>PRIVATE</code>: this Memori is not encrypted, has a system-generated Secret Token as password and can be accessed only by providing it</li> <li><code>SECRET</code>: this Memori is encrypted, has a user-defined password and can be accessed only by providing it</li> </ul>","nullable":true},"secretToken":{"type":"string","description":"Secret Token. Assigned by the system. Must be used as Password when the PrivacyType is <code>PRIVATE</code>. Returned during Open Session and Get operations. May be required during Update operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner, a legitimate Giver or Receiver, or an Admin/SuperAdmin) and its Privacy Type is set to <code>PRIVATE</code>.","nullable":true},"minimumNumberOfRecoveryTokens":{"type":"integer","description":"Minium number of recovery tokens. Recovery tokens allow to access a secret Memori when its original password has been lost. May be provided during Registration operations. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User and its Privacy Type is set to <code>SECRET</code>.","format":"int32","nullable":true},"totalNumberOfRecoveryTokens":{"type":"integer","description":"Total number of recovery tokens. Recovery tokens allow to access\r\na secret Memori when its original password has been lost. If set,\r\na set of recovery tokens will be generated and returned after\r\nRegistration completes.","format":"int32","nullable":true},"sentInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects sent for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori belongs to the logged in User.","nullable":true},"receivedInvitations":{"type":"array","items":{"$ref":"#/components/schemas/InvitationSpecs"},"description":"List of Invitation objects received for this Memori. Returned during Get operations. Ignored in other cases. <br> It is present only if this Memori is accessible to the logged in User (e.g. they are the owner or a legitimate Giver or Receiver).","nullable":true},"integrations":{"type":"array","items":{"$ref":"#/components/schemas/IntegrationSpecs"},"description":"List of Integration objects associated with this Memori.\r\nRetured during Get operations. Ignored in other cases.","nullable":true},"avatarURL":{"type":"string","description":"URL of the avatar image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"coverURL":{"type":"string","description":"URL of the cover image represting this Memori object.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"avatar3DURL":{"type":"string","description":"URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"avatarOriginal3DURL":{"type":"string","description":"Original URL of the avatar 3D model represting this Memori object.\r\nIt is obtained from the CustomData property of the public home page\r\nIntegration object for this Memori, if present. To be changed, the\r\nIntegration object must be changed.\r\nReturned during Get operations. Ignored in other cases.","nullable":true},"needsPosition":{"type":"boolean","description":"True if this Memori requires positioning to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"needsDateTime":{"type":"boolean","description":"True if this Memori requires current date/time to be accessed.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"voiceType":{"type":"string","description":"Type of voice for this Memori (male or female). May be provided during Registration and Update operations. Returned during Get operations. <br> Can be one of the following:<ul> <li><code>MALE</code>: standard male voice</li> <li><code>FEMALE</code>: standard female voice</li> </ul>","nullable":true},"culture":{"type":"string","description":"Culture for dialogs and natural language processing of this Memori. Returned during Get operations. Ignored in other cases. <br> Currently supported cultures are:<ul> <li><code>it-IT</code></li> <li><code>en-US</code></li> </ul>","nullable":true},"categories":{"type":"array","items":{"type":"string"},"description":"Categories (or tags) associated with this Memori.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"nsfw":{"type":"boolean","description":"True if this Memori content must be considered\r\nnot safe for minors of working environments.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"requireLoginToken":{"type":"boolean","description":"When True, a Giver Tag/Pin or a valid login token is needed to open a session","nullable":true},"ageRestriction":{"type":"integer","description":"The minimum age required to open a session to this Memori.\r\nReturned during Get operations.\r\nIgnored in other cases.","format":"int32"},"exposed":{"type":"boolean","description":"True if this Memori must be exposed on the homepage\r\nof its corresponding owner User's tenant.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"mobile":{"type":"boolean","description":"True if this Memori must be accessible from the mobile app.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"confidenceOffset":{"type":"number","description":"The offset to be applied to confidence levels.\r\nTypically, in the range from -0.02 to 0.02.","format":"float","nullable":true},"disableR2R3Loop":{"type":"boolean","description":"True if this Memori must skip the R2-R3 loop, \r\ni.e. must consider medium confidence answers as high confidence\r\nanswers in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR4Loop":{"type":"boolean","description":"True if this Memori must skip the R4 loop,\r\ni.e. must not propose randomly picked contents when a Time Out\r\nevent is received in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableR5Loop":{"type":"boolean","description":"True if this Memori must skip the R5 loop,\r\ni.e. must not accept the \"not what I asked\" intent in R1.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"enableCompletions":{"type":"boolean","description":"True if this Memori must try to answer using completions from a\r\nLarge Language Model, if available, when no other answers are\r\navailable.","nullable":true},"enableDeepThought":{"type":"boolean","description":"If set to ```True``` this Memori will collect known facts about the user\r\non a special long term memory and makes use of it to improve the conversation.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.","nullable":true},"alwaysAnswerWithCompletion":{"type":"boolean","description":"If set to ```True``` this Memori will always try to answer with a completion.\r\nMemory objects will be used for generative AI prompting, but not for direct answers.\r\nRequires ```EnableCompletions``` to be set to ```True``` to work appropriately.\r\nCan't be used in conjunction with the ```Chaining``` feature.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableCompletionMediaExtraction":{"type":"boolean","description":"If set to ```True``` this Memori will not try to extract related media\r\nwhen generating a response through a completion with generative AI.\r\nThis flag has no effect to user-generated content: attached media will always be provided.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"disableAIContentCollection":{"type":"boolean","description":"If set to ```True``` this Memori does not collect AI-generated content\r\n(CompletionDraft memories) and unanswered questions.","nullable":true},"completionConfigNameForQuestionAnswering":{"type":"string","description":"Name of the Completion Configuration used for Question Answering\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForQuestionAnswering":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForImportExport":{"type":"string","description":"Name of the Completion Configuration used for Import/Export\r\nwith a Large Language Model. If null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForImportExport":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionConfigNameForDeepThought":{"type":"string","description":"Name of the Completion Configuration used for Deep Thought.\r\nIf null the default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set configuration.","nullable":true},"completionConfigForDeepThought":{"$ref":"#/components/schemas/CompletionConfigSpecs"},"completionTemperature":{"type":"number","description":"Temperature for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"float","nullable":true},"completionMaxTokens":{"type":"integer","description":"Maximum number of output tokens for Completions.\r\nIf not set a default is used.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","format":"int32","nullable":true},"chainingMemoriID":{"type":"string","description":"Optional Engine ID of a chained Memori. If set, any time this Memori\r\ncan't find an answer to a question, it will try to ask to the chained Memori.\r\nThe chained Memori will then answer and transparently handle the subsequent dialog.\r\nThe user will not be aware of chaining.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set chaining.","nullable":true},"chainingBaseURL":{"type":"string","description":"Optional base URL of a chained Memori, typically ```https://engine.memori.ai/```.\r\nRequired if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"chainingPassword":{"type":"string","description":"Password of the chained Memori. Required if ChainingMemoriID is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"enableBoardOfExperts":{"type":"boolean","description":"If set to ```True``` this Memori will act as the chairman of\r\na board of experts, i.e. for each question will determine which expert\r\nis competent and forward the question to it.\r\nAt least an Expert Reference must then be provided for this feature to activate.","nullable":true},"enableMacroFunctions":{"type":"array","items":{"type":"string"},"description":"List of Macro Function names enabled for this Memori. <br> Currently available Macro Functions are:<ul> <li><code>Wikipedia</code>: adds functions to search for a topic on Wikipedia</li> <li><code>URLCrawling</code>: adds functions to crawl a web page</li> <li><code>ContextVariables</code>: adds functions to manage context variables</li> </ul>","nullable":true},"macroParameters":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Key-value pairs with values for macro-parameters of enabled Macro Functions.","nullable":true},"dcmUser":{"type":"string","description":"User name of the optional integration with the DCM platform.\r\nIf set, this Memori will be able send outcomes to the DCM platform\r\nwhen specific contents are emitted during the conversation.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.\r\nWhen updating, set it to a single dash character (```-```) to \r\nremove a previously set integration.","nullable":true},"dcmSecret":{"type":"string","description":"Shared secret of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nIgnored in other cases.","nullable":true},"dcmAppContext":{"type":"string","description":"Application context of the optional integration with the DCM platform.\r\nRequired if DCMUser is set.\r\nMay be provided during Registration and Update operations.\r\nReturned during Get operations.","nullable":true},"blockedUntil":{"type":"string","description":"Administrative block end date. Null if no administrative block is\r\nin effect. During an administrative block a Memori can be edited\r\nwith a Giver session, but not accessed with an anonymous or\r\nReceiver session.","format":"date-time","nullable":true},"creationTimestamp":{"type":"string","description":"Timestamp of creation. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true},"lastChangeTimestamp":{"type":"string","description":"Timestamp of latest change. Returned during Get operations.\r\nIgnored in other cases.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specif
[...]
